summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorDaniel Stone <daniel@fooishbar.org>2008-07-22 16:52:50 +0300
committerDaniel Stone <daniel@fooishbar.org>2008-07-22 16:55:26 +0300
commitd8937ce58137ad675f1ead8f2345eaed0ca63c8a (patch)
treee99b889db0ca4f5c7833cd0c8cc3fe3cb9aaa689 /autogen.sh
parent880625eef5d8b168df3e42836fa1b763c51a91b5 (diff)
autogen.sh: Pass --force to autoreconf
Ensure we get all files installed when running autoreconf by passing --force to overwrite previously-generated ones, which fixes running it from tarballs. Also revert Peter's local changes to pass arguments to configure, all of which are the default now anyway, AIUI.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/autogen.sh b/autogen.sh
index 54e9f337d..4e8b11ba9 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -6,7 +6,7 @@ test -z "$srcdir" && srcdir=.
ORIGDIR=`pwd`
cd $srcdir
-autoreconf -v --install || exit 1
+autoreconf --force -v --install || exit 1
cd $ORIGDIR || exit $?
-$srcdir/configure --enable-maintainer-mode --disable-dmx --enable-dri --enable-kdrive "$@"
+$srcdir/configure --enable-maintainer-mode "$@"